<template>
  <el-breadcrumb
    class="app-breadcrumb"
    separator="/"
  >
    <transition-group name="breadcrumb">
      <el-breadcrumb-item
        v-for="(item,index) in levelList"
        :key="item.path"
      >
        <span
          v-if="item.redirect===&quot;noredirect&quot;||index==levelList.length-1"
          class="no-redirect"
        >
          {{ item.meta.title }}
        </span>
        <router-link
          v-else
          :to="item.redirect||item.path"
        >
          {{ item.meta.title }}
        </router-link>
      </el-breadcrumb-item>
    </transition-group>
  </el-breadcrumb>
</template>

<script>
import { generateTitle } from '@/utils/i18n'

export default {
  created () {
    this.getBreadcrumb()
  },
  computed: {
    activeLevelList () {
      return this.levelList.filter(item => {
        return item.meta.title
      })
    }
  },
  data () {
    return {
      levelList: null
    }
  },
  watch: {
    $route () {
      this.getBreadcrumb()
    }
  },
  methods: {
    generateTitle,
    getBreadcrumb () {
      let matched = this.$route.matched.filter(item => item.name)
      const first = matched[0]
      if (first && first.name !== 'dashboard') {
        matched = [{ path: '/dashboard', redirect: 'noredirect', meta: { title: '首页' } }].concat(matched)
      }
      // 移除无标题的页面
      this.levelList = matched.filter(i => i.meta.title)
    }
  }
}
</script>

<style lang="scss" scoped>
.app-breadcrumb {
  ::v-deep .el-breadcrumb__separator {
    color: #fff;
  }
}
.app-breadcrumb.el-breadcrumb {
  display: inline-block;
  margin-left: 10px;
  font-size: 14px;
  line-height: 50px;
  .no-redirect {
    color: #fff;
    cursor: text;
  }
}

</style>
